use std::collections::HashSet;

use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize, PartialEq, Hash, Clone, Debug)]
pub struct StateType {
    pub state_type: String,
}
impl Eq for StateType {}

#[derive(Serialize, Deserialize, PartialEq, Clone, Debug)]
pub struct StateTypeCol {
    pub state_types: HashSet<StateType>,
}
impl Eq for StateTypeCol {}
